diff -ruN biology/py-biopython.old/Makefile biology/py-biopython/Makefile
--- biology/py-biopython.old/Makefile	Tue Oct 31 07:25:21 2006
+++ biology/py-biopython/Makefile	Mon May 28 16:33:29 2007
@@ -1,12 +1,12 @@
-# New ports collection makefile for:	py-biopython
-# Date created:		28 July 2000
-# Whom:	      		Johann Visagie <johann@egenetics.com>
+# New ports collection makefile for:    py-biopython
+# Date created:         28 July 2000
+# Whom:                 Johann Visagie <johann@egenetics.com>
 #
 # $FreeBSD: ports/biology/py-biopython/Makefile,v 1.22 2006/10/31 13:25:21 miwi Exp $
 #
 
 PORTNAME=	biopython
-PORTVERSION=	1.42
+PORTVERSION=	1.43
 CATEGORIES=	biology python
 MASTER_SITES=	http://www.biopython.org/DIST/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
diff -ruN biology/py-biopython.old/distinfo biology/py-biopython/distinfo
--- biology/py-biopython.old/distinfo	Tue Oct 31 07:25:21 2006
+++ biology/py-biopython/distinfo	Mon May 28 16:33:29 2007
@@ -1,3 +1,3 @@
-MD5 (biopython-1.42.tar.gz) = 6d9bf58d0fcfa5a3b2053ad419069ff3
-SHA256 (biopython-1.42.tar.gz) = ba4d00fdf7de67196ecba317dee09a14850b40596bd83d73e458c5f19fc9fc58
-SIZE (biopython-1.42.tar.gz) = 3933507
+MD5 (biopython-1.43.tar.gz) = 3c275b321bb1db7d8bda764913aaedcd
+SHA256 (biopython-1.43.tar.gz) = eb424da9efddbf376c31660786ecb34ff893ea752bf7300f4a06d1b8c6ba175b
+SIZE (biopython-1.43.tar.gz) = 3867907
diff -ruN biology/py-biopython.old/files/patch-setup.py biology/py-biopython/files/patch-setup.py
--- biology/py-biopython.old/files/patch-setup.py	Wed Dec 31 18:00:00 1969
+++ biology/py-biopython/files/patch-setup.py	Mon May 28 17:03:47 2007
@@ -0,0 +1,34 @@
+--- setup.py.orig	Sat Mar 17 13:21:04 2007
++++ setup.py	Mon May 28 17:01:45 2007
+@@ -112,7 +112,7 @@
+         
+     
+     # Compile KDTree ? Not compiled by default
+-    print "\n*** Bio.KDTree *** NOT built by default "
++#    print "\n*** Bio.KDTree *** NOT built by default "
+     kdtree_msg = """
+ The Bio.PDB.NeighborSearch module depends on the Bio.KDTree module,
+ which in turn, depends on C++ code that does not compile cleanly on
+@@ -120,14 +120,14 @@
+ 
+ Would you like to build Bio.KDTree ?"""
+ 
+-    if get_yes_or_no (kdtree_msg, 0):
+-        NUMPY_PACKAGES.append("Bio.KDTree")
+-        NUMPY_EXTENSIONS.append(
+-            CplusplusExtension('Bio.KDTree._CKDTree', 
+-                               ["Bio/KDTree/KDTree.cpp",
+-                                "Bio/KDTree/KDTree.swig.cpp"],
+-                               libraries=["stdc++"],
+-                               language="c++"))
++#    if get_yes_or_no (kdtree_msg, 0):
++    NUMPY_PACKAGES.append("Bio.KDTree")
++    NUMPY_EXTENSIONS.append(
++        CplusplusExtension('Bio.KDTree._CKDTree', 
++                           ["Bio/KDTree/KDTree.cpp",
++                            "Bio/KDTree/KDTree.swig.cpp"],
++                           libraries=["stdc++"],
++                           language="c++"))
+     
+     
+     return 1
diff -ruN biology/py-biopython.old/pkg-plist biology/py-biopython/pkg-plist
--- biology/py-biopython.old/pkg-plist	Tue Oct 31 07:25:21 2006
+++ biology/py-biopython/pkg-plist	Mon May 28 16:33:29 2007
@@ -323,6 +323,9 @@
 %%PYTHON_SITELIBDIR%%/Bio/GenBank/Record.py
 %%PYTHON_SITELIBDIR%%/Bio/GenBank/Record.pyc
 %%PYTHON_SITELIBDIR%%/Bio/GenBank/Record.pyo
+%%PYTHON_SITELIBDIR%%/Bio/GenBank/Scanner.py
+%%PYTHON_SITELIBDIR%%/Bio/GenBank/Scanner.pyc
+%%PYTHON_SITELIBDIR%%/Bio/GenBank/Scanner.pyo
 %%PYTHON_SITELIBDIR%%/Bio/GenBank/__init__.py
 %%PYTHON_SITELIBDIR%%/Bio/GenBank/__init__.pyc
 %%PYTHON_SITELIBDIR%%/Bio/GenBank/__init__.pyo
@@ -389,6 +392,16 @@
 %%PYTHON_SITELIBDIR%%/Bio/InterPro/__init__.py
 %%PYTHON_SITELIBDIR%%/Bio/InterPro/__init__.pyc
 %%PYTHON_SITELIBDIR%%/Bio/InterPro/__init__.pyo
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/CKDTree.py
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/CKDTree.pyc
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/CKDTree.pyo
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/KDTree.py
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/KDTree.pyc
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/KDTree.pyo
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/_CKDTree.so
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/__init__.py
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/__init__.pyc
+%%PYTHON_SITELIBDIR%%/Bio/KDTree/__init__.pyo
 %%PYTHON_SITELIBDIR%%/Bio/KEGG/Compound/__init__.py
 %%PYTHON_SITELIBDIR%%/Bio/KEGG/Compound/__init__.pyc
 %%PYTHON_SITELIBDIR%%/Bio/KEGG/Compound/__init__.pyo
@@ -642,6 +655,9 @@
 %%PYTHON_SITELIBDIR%%/Bio/PDB/PDBParser.py
 %%PYTHON_SITELIBDIR%%/Bio/PDB/PDBParser.pyc
 %%PYTHON_SITELIBDIR%%/Bio/PDB/PDBParser.pyo
+%%PYTHON_SITELIBDIR%%/Bio/PDB/PSEA.py
+%%PYTHON_SITELIBDIR%%/Bio/PDB/PSEA.pyc
+%%PYTHON_SITELIBDIR%%/Bio/PDB/PSEA.pyo
 %%PYTHON_SITELIBDIR%%/Bio/PDB/Polypeptide.py
 %%PYTHON_SITELIBDIR%%/Bio/PDB/Polypeptide.pyc
 %%PYTHON_SITELIBDIR%%/Bio/PDB/Polypeptide.pyo
@@ -793,9 +809,33 @@
 %%PYTHON_SITELIBDIR%%/Bio/SeqFeature.py
 %%PYTHON_SITELIBDIR%%/Bio/SeqFeature.pyc
 %%PYTHON_SITELIBDIR%%/Bio/SeqFeature.pyo
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/ClustalIO.py
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/ClustalIO.pyc
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/ClustalIO.pyo
 %%PYTHON_SITELIBDIR%%/Bio/SeqIO/FASTA.py
 %%PYTHON_SITELIBDIR%%/Bio/SeqIO/FASTA.pyc
 %%PYTHON_SITELIBDIR%%/Bio/SeqIO/FASTA.pyo
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/FastaIO.py
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/FastaIO.pyc
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/FastaIO.pyo
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/InsdcIO.py
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/InsdcIO.pyc
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/InsdcIO.pyo
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/Interfaces.py
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/Interfaces.pyc
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/Interfaces.pyo
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/NexusIO.py
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/NexusIO.pyc
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/NexusIO.pyo
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/PhylipIO.py
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/PhylipIO.pyc
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/PhylipIO.pyo
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/StockholmIO.py
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/StockholmIO.pyc
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/StockholmIO.pyo
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/SwissIO.py
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/SwissIO.pyc
+%%PYTHON_SITELIBDIR%%/Bio/SeqIO/SwissIO.pyo
 %%PYTHON_SITELIBDIR%%/Bio/SeqIO/__init__.py
 %%PYTHON_SITELIBDIR%%/Bio/SeqIO/__init__.pyc
 %%PYTHON_SITELIBDIR%%/Bio/SeqIO/__init__.pyo
@@ -1154,91 +1194,92 @@
 %%PYTHON_SITELIBDIR%%/Martel/setup.py
 %%PYTHON_SITELIBDIR%%/Martel/setup.pyc
 %%PYTHON_SITELIBDIR%%/Martel/setup.pyo
-@dirrm %%PYTHON_SITELIBDIR%%/Martel
-@dirrm %%PYTHON_SITELIBDIR%%/BioSQL
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/writers/SeqRecord
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/writers
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/formatdefs
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/expressions/swissprot
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/expressions/embl
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/expressions/blast
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/expressions
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/dbdefs
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/config
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/builders/SeqRecord
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/builders/Search
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/builders
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Wise
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/WWW
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/UniGene
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/SwissProt
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/SubsMat
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Statistics
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Sequencing
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/SeqUtils
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/SeqIO
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Saf
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/SVDSuperimposer
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/SCOP
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Restriction/_Update
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Restriction
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Rebase
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Prosite
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Pathway/Rep
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Pathway
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Parsers
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/PDB
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Nexus
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/NeuralNetwork/Gene
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/NeuralNetwork/BackPropagation
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/NeuralNetwork
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Ndb
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/NMR
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/NBRF
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/MultiProc
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Mindy
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/MetaTool
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Medline
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/MEME
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/LocusLink
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Kabat
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/KEGG/Map
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/KEGG/Enzyme
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/KEGG/Compound
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/KEGG
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/InterPro
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/IntelliGenetics
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/HMM
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Graphics
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Gobase
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Geo
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/GenBank
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/GFF
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA/Selection
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA/Repair
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA/Mutation
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA/Crossover
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Fasta
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/FSSP
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Enzyme
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Encodings
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Emboss
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Affy
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Ais
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Align
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/AlignAce
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Alphabet
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Application
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Blast
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/CAPS
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/CDD
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Clustalw
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Cluster
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Compass
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Crystal
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Data
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/ECell
 @dirrm %%PYTHON_SITELIBDIR%%/Bio/EUtils/DTDs
 @dirrm %%PYTHON_SITELIBDIR%%/Bio/EUtils
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/ECell
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Data
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Crystal
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Compass
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Cluster
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Clustalw
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/CDD
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/CAPS
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Blast
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Application
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Alphabet
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/AlignAce
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Align
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Ais
-@dirrm %%PYTHON_SITELIBDIR%%/Bio/Affy
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Emboss
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Encodings
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Enzyme
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/FSSP
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Fasta
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA/Crossover
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA/Mutation
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA/Repair
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA/Selection
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/GA
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/GFF
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/GenBank
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Geo
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Gobase
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Graphics
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/HMM
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/IntelliGenetics
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/InterPro
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/KDTree
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/KEGG/Compound
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/KEGG/Enzyme
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/KEGG/Map
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/KEGG
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Kabat
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/LocusLink
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/MEME
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Medline
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/MetaTool
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Mindy
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/MultiProc
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/NBRF
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/NMR
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Ndb
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/NeuralNetwork/BackPropagation
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/NeuralNetwork/Gene
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/NeuralNetwork
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Nexus
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/PDB
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Parsers
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Pathway/Rep
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Pathway
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Prosite
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Rebase
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Restriction/_Update
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Restriction
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/SCOP
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/SVDSuperimposer
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Saf
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/SeqIO
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/SeqUtils
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Sequencing
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Statistics
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/SubsMat
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/SwissProt
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/UniGene
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/WWW
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/Wise
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/builders/Search
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/builders/SeqRecord
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/builders
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/config
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/dbdefs
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/expressions/blast
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/expressions/embl
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/expressions/swissprot
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/expressions
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/formatdefs
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/writers/SeqRecord
+@dirrm %%PYTHON_SITELIBDIR%%/Bio/writers
 @dirrm %%PYTHON_SITELIBDIR%%/Bio
+@dirrm %%PYTHON_SITELIBDIR%%/BioSQL
+@dirrm %%PYTHON_SITELIBDIR%%/Martel
